2006-10-15 14:11  airborne

	* lib/Makefile.am: library version info bumped to 4:3:2

2006-10-15 14:09  airborne

	* NEWS: added 1.3.0 news

2006-10-15 13:55  airborne

	* lib/cddb_track.c: use RETURN_STR_OR_EMPTY whenever a string is
	  returned, do no return disc artist for track if
	  CDDB_F_NO_TRACK_ARTIST is set

2006-10-15 13:53  airborne

	* lib/: cddb_conn.c, cddb_disc.c: use RETURN_STR_OR_EMPTY whenever
	  a string is returned

2006-10-15 13:51  airborne

	* lib/cddb.c: added libcddb_flags, libcddb_set_flags and
	  libcddb_reset_flags functions

2006-10-15 13:50  airborne

	* include/cddb/cddb_ni.h: added libcddb_flags function and
	  RETURN_STR_OR_EMPTY macro

2006-10-15 13:48  airborne

	* include/cddb/cddb.h: added cddb_flag_t enum, libcddb_set_flags
	  and libcddb_reset_flags functions

2006-10-15 12:10  airborne

	* lib/cddb_cmd.c: added debug trace to cddb_album_next

2006-10-15 12:08  airborne

	* tests/check_server.sh: added test for album command, disabled
	  text search test (no longer supported on server)

2006-10-15 12:07  airborne

	* tests/settings.sh.in: fix query result check

2006-10-15 11:09  airborne

	* configure.ac: version bumped to 1.3.0

2006-10-15 11:04  airborne

	* examples/do_album.c: initial version

2006-10-15 11:03  airborne

	* lib/cddb_cmd.c: added cddb_album and cddb_album_next functions

2006-10-15 10:59  airborne

	* include/cddb/cddb_ni.h: added STR_OR_EMPTY macro

2006-10-15 10:59  airborne

	* include/cddb/cddb_cmd_ni.h: added CMD_ALBUM

2006-10-15 10:58  airborne

	* include/cddb/cddb_cmd.h: added cddb_album and cddb_album_next
	  functions

2006-10-15 10:57  airborne

	* examples/main.c: added support for the album command

2006-10-15 10:54  airborne

	* examples/main.h: added do_album function

2006-10-15 10:53  airborne

	* examples/Makefile.am: added do_album.c

2006-10-15 08:53  airborne

	* lib/cddb_cmd.c: fix extended data processing

2006-10-15 08:52  airborne

	* lib/cddb_util.c: fix compiler warnings

2006-10-15 08:51  airborne

	* include/cddb/cddb_track.h: fix indent

2006-10-15 08:50  airborne

	* examples/do_display.c: handle empty strings in output

2006-09-29 18:03  airborne

	* ChangeLog: [no log message]

2006-09-29 18:02  airborne

	* lib/Makefile.am: library version info bumped to 3:2:1

2006-09-29 18:01  airborne

	* examples/cd_access.c: updated includes for libcdio

2006-09-29 18:00  airborne

	* configure.ac: version bumped to 1.2.1 libcdio required version
	  bumped to 0.76

2006-09-29 17:38  airborne

	* ChangeLog: [no log message]

2006-09-29 17:36  airborne

	* NEWS: added 1.2.2 news

2006-09-29 17:34  airborne

	* lib/cddb_cmd.c: bugfix: correctly specify character set on
	  submission

2005-08-04 20:57  airborne

	* ChangeLog: [no log message]

2005-08-04 20:56  airborne

	* NEWS: added 1.2.1 news

2005-08-04 20:55  airborne

	* lib/Makefile.am: library version info bumped to 3:1:1

2005-08-04 20:48  airborne

	* configure.ac: version bumped to 1.2.1

2005-08-04 20:44  airborne

	* lib/cddb_cmd.c: changed default text search grouping to per
	  category (iso none)

2005-08-03 20:35  airborne

	* lib/cddb_cmd.c: use text search parameters provided by user

2005-08-03 20:28  airborne

	* lib/cddb_conn.c: added functions to set text search parameters,
	  initialize default parameters at creation of connection

2005-08-03 20:27  airborne

	* include/cddb/cddb_conn_ni.h: added text search parameter
	  structure

2005-08-03 20:25  airborne

	* include/cddb/cddb_conn.h: added functions and constants for
	  setting text search parameters

2005-07-31 13:25  airborne

	* configure.ac: remove -O0 in maintainer mode so that uninitialized
	  variables are reported

2005-07-31 13:08  airborne

	* lib/cddb_cmd.c: fix uninitialized variable (return value)

2005-07-23 12:28  airborne

	* configure.ac: use bzip2 for distribution archive

2005-07-23 11:54  airborne

	* ChangeLog, NEWS: added 1.2.0 changes

2005-07-23 11:51  airborne

	* lib/Makefile.am: updated library version

2005-07-23 11:44  airborne

	* tests/settings.sh.in: removed obsolete QUERY_HASH parameter

2005-07-23 11:43  airborne

	* tests/check_server.sh: removed obsolete QUERY_HASH parameter,
	  added text search test

2005-07-23 11:42  airborne

	* examples/main.c: free global strings

2005-07-23 11:41  airborne

	* configure.ac: version bumped to 1.2.0, added gettext version
	  (iconv dependency)

2005-07-23 11:40  airborne

	* bootstrap: added autopoint (config.rpath fix, iconv/gettext
	  dependency)

2005-07-23 11:39  airborne

	* .cvsignore: added files generated by autopoint

2005-07-23 11:35  airborne

	* tests/testdata/: 56c2171b89496518.txt, b2bba00e1890d659.txt: no
	  longer used in query tests

2005-07-23 09:23  airborne

	* lib/cddb_regex.c: free site regex data

2005-07-23 09:22  airborne

	* lib/cddb_cmd.c: clone proxy settings in search command

2005-07-23 09:21  airborne

	* lib/cddb_conn.c: added function to clone proxy parameters from
	  one connection to another

2005-07-23 09:20  airborne

	* include/cddb/cddb_conn_ni.h: added prototype for proxy parameter
	  cloning function

2005-07-23 09:19  airborne

	* examples/main.h: do_search now needs disc structure parameter

2005-07-23 09:17  airborne

	* examples/main.c: disc now created outside of do_search function

2005-07-23 09:10  airborne

	* examples/do_search.c: disc structure provided by caller

2005-07-23 09:09  airborne

	* TODO: [no log message]

2005-07-17 12:03  airborne

	* doc/freedb.howto.txt: Howto from freedb.org v1.07 (2004/01/08)

2005-07-17 12:01  airborne

	* examples/do_search.c: initial version

2005-07-17 11:59  airborne

	* misc/libcddb.ebuild: removed libcdio dependency (to avoid
	  circular dependency problems)

2005-07-17 11:58  airborne

	* lib/cddb_regex.c: added text search results regex, added hex
	  number parser

2005-07-17 11:56  airborne

	* lib/cddb_cmd.c: added implementation of new search functionality
	  (first version, clean-up still necessary)

2005-07-17 11:53  airborne

	* lib/cddb.c: added search connection initialization code

2005-07-17 11:51  airborne

	* include/cddb/cddb_regex.h: added function prototype to extract
	  hex number, added external declaration for text search results
	  regex

2005-07-17 11:48  airborne

	* include/cddb/cddb_ni.h: added external reference for search
	  connection

2005-07-17 11:47  airborne

	* include/cddb/cddb_cmd_ni.h: typedefed command enumeration, added
	  search command constant

2005-07-17 11:46  airborne

	* include/cddb/cddb_cmd.h: added search command prototypes, cleaned
	  up some docs

2005-07-17 11:44  airborne

	* examples/main.c: added code for new search functionality

2005-07-17 11:43  airborne

	* examples/main.h: added do_search function prototype

2005-07-17 11:42  airborne

	* examples/do_query.c: fixed typo in comment

2005-07-17 11:41  airborne

	* examples/Makefile.am: added do_search.c file

2005-07-17 11:39  airborne

	* configure.ac: version bumped to 1.2.0-cvs

2005-07-09 12:53  airborne

	* include/cddb/cddb_cmd.h: updated sites command doc

2005-07-09 11:32  airborne

	* doc/doxygen.conf: excluded some header files

2005-07-09 11:08  airborne

	* ChangeLog: added 1.1.0 changes

2005-07-09 11:07  airborne

	* NEWS: addede 1.1.0 changes

2005-07-09 10:45  airborne

	* configure.ac: updated LIBCDDB_VERSION_NUM version to 110

2005-07-09 10:35  airborne

	* lib/: cddb_track.c, cddb_disc.c, cddb_conn.c: added function
	  implementations for previously #defined functions

2005-07-09 10:34  airborne

	* include/cddb/cddb_conn_ni.h: moved actual defintion of connection
	  structure to this file

2005-07-09 10:33  airborne

	* include/cddb/cddb_ni.h: moved definitions of track and disc
	  structures to this file

2005-07-09 10:32  airborne

	* include/cddb/cddb_disc.h: moved actual definition of cddb_disc_t
	  structure to cddb_ni.h converted #defined functions to regular
	  functions

2005-07-09 10:31  airborne

	* include/cddb/cddb_track.h: moved actual definition of
	  cddb_track_t structure to cddb_ni.h converted #defined functions
	  to regular functions

2005-07-09 10:29  airborne

	* include/cddb/cddb_conn.h: converted cache mode to enumerated type
	  actual definition of connection structure moved to cddb_conn_ni.h
	  converted #defined functions into regular functions

2005-07-09 10:25  airborne

	* examples/do_display.c: added const keyword for strings returned
	  by library

2005-07-09 10:20  airborne

	* examples/cd_access.c: use LBA instead of LSN

2005-07-09 10:18  airborne

	* configure.ac: bump version to 1.1.0

2005-06-15 18:22  airborne

	* TODO: removed sites command to do

2005-06-15 18:21  airborne

	* examples/main.c: removed obsolete comment

2005-06-15 18:21  airborne

	* examples/do_sites.c: a lot more documentation

2005-06-15 18:19  airborne

	* include/cddb/cddb_ni.h: added site iconv function, updated ASSERT
	  macros

2005-06-15 18:18  airborne

	* include/cddb/cddb_conn.h: added site setter, some const keyowrds

2005-06-15 18:15  airborne

	* lib/cddb_conn.c: added site setter, some const keywords

2005-06-15 18:13  airborne

	* lib/cddb_cmd.c: iconv support for sites

2005-06-15 18:12  airborne

	* lib/cddb_site.c: added const keyword where appropriate, added
	  iconv function

2005-06-15 18:08  airborne

	* include/cddb/cddb_site.h: added const keywords where appropriate,
	  fixed some docs

2005-05-30 21:36  airborne

	* include/cddb/cddb_ni.h: added range assert macro

2005-05-30 21:35  airborne

	* lib/cddb_site.c: added setters and the submit path

2005-05-30 21:34  airborne

	* include/cddb/cddb_site.h: added setters and the HTTP submit path

2005-05-29 10:24  airborne

	* examples/do_sites.c, include/cddb/cddb_site.h, include/cddb/ll.h,
	  lib/cddb_site.c, lib/ll.c: initial revision

2005-05-29 10:22  airborne

	* examples/Makefile.am: extra source do_sites.c

2005-05-29 10:21  airborne

	* examples/main.h: sites command integration

2005-05-29 10:21  airborne

	* examples/main.c: added code for sites command

2005-05-29 10:20  airborne

	* lib/cddb_regex.c: sites command regular expression function to
	  retrieve floating point match code clean-up

2005-05-29 10:19  airborne

	* lib/cddb_error.c: new error code for invalid input parameters

2005-05-29 10:18  airborne

	* lib/cddb_disc.c: comment clean-up

2005-05-29 10:16  airborne

	* lib/: cddb_cmd.c, cddb_conn.c: sites command integration query
	  result now uses linked list

2005-05-29 10:12  airborne

	* include/cddb/cddb_regex.h: added sites command regex added
	  function to retrieve floating point match

2005-05-29 10:11  airborne

	* include/cddb/cddb_ni.h: added ASSERT macros

2005-05-29 10:11  airborne

	* include/cddb/cddb_error.h: added error code to signal invalid
	  input parameters

2005-05-29 10:09  airborne

	* include/cddb/cddb_conn.h: sites command integration query results
	  now use the generic linked list structure

2005-05-29 10:08  airborne

	* include/cddb/cddb_cmd_ni.h: sites command integration query
	  results now use linked list (removed clear function)

2005-05-29 10:06  airborne

	* include/cddb/: cddb.h, cddb_cmd.h: sites command integration

2005-05-29 10:03  airborne

	* include/cddb/Makefile.am: sites command integration

2005-05-29 09:59  airborne

	* lib/Makefile.am: sites command integration, library version
	  bumped (new interface)

2005-05-29 09:54  airborne

	* configure.ac: version bumped to 1.1.0-cvs

2005-05-07 11:59  airborne

	* THANKS: [no log message]

2005-05-07 11:54  airborne

	* lib/Makefile.am: library implementation version incremented

2005-05-07 11:42  airborne

	* ChangeLog: added 1.0.2 changes

2005-05-07 11:41  airborne

	* NEWS: added changes between 1.0.1 and 1.0.2

2005-05-07 11:37  airborne

	* misc/libcddb.ebuild: sync with latest ebuild in portage

2005-05-07 11:36  airborne

	* TODO: [no log message]

2005-05-07 11:35  airborne

	* INSTALL: added entry about running 'ldconfig' after 'make
	  install'

2005-05-07 11:34  airborne

	* configure.ac: version bumped to 1.0.2

2005-05-07 11:33  airborne

	* lib/cddb_cmd.c: - return error on proxy authentication failure -
	  bugfix in frame offset parsing

2005-05-07 11:20  airborne

	* include/cddb/cddb_error.h, lib/cddb_error.c: added error code for
	  failed proxy authentication

2005-05-07 11:18  airborne

	* lib/cddb_conn.c: added new function
	  cddb_set_http_proxy_credentials

2005-05-07 11:16  airborne

	* include/cddb/cddb_conn.h: add new function
	  cddb_set_http_proxy_credentials

2005-05-07 11:13  airborne

	* examples/main.c: use new cddb_set_http_proxy_credentials function

2005-04-22 23:48  airborne

	* NEWS: added changes between 1.0.0 and 1.0.1

2005-04-22 23:45  airborne

	* ChangeLog: added 1.0.1 changes

2005-04-22 23:44  airborne

	* include/cddb/cddb_regex.h: extra include for MacOS X compilation

2005-04-22 23:43  airborne

	* include/cddb/cddb_ni.h, lib/cddb_util.c: iconv compiler warning
	  fix

2005-04-22 23:42  airborne

	* examples/cd_access.c: updated cdio message to reflect possible
	  use of --without-cdio option

2005-04-22 23:41  airborne

	* configure.ac: version bumped to 1.0.1, added --without-cdio
	  option

2005-04-22 23:40  airborne

	* THANKS: more and updated thanks

2005-04-22 23:40  airborne

	* .cvsignore: added build directory

2005-04-17 00:04  rockyb

	* lib/Makefile.am: cygwin library building needs LIBICONV

2005-04-16 23:49  rockyb

	* lib/.cvsignore: A couple more .lo files.

2005-04-16 22:12  airborne

	* NEWS: added changes between 0.9.5 and 1.0.0

2005-04-16 22:08  airborne

	* ChangeLog: added 1.0.0 changes

2005-04-16 22:05  airborne

	* TODO: [no log message]

2005-04-16 22:04  airborne

	* lib/cddb_cmd.c: added proxy authentication

2005-04-16 22:03  airborne

	* lib/cddb_conn.c: added proxy auth getters and setters

2005-04-16 22:02  airborne

	* lib/cddb_util.c: added base64 encoder

2005-04-16 21:59  airborne

	* include/cddb/cddb_ni.h: added base64 decoder prototype

2005-04-16 21:55  airborne

	* include/cddb/cddb_conn.h: added proxy user name and password
	  getters/setters

2005-04-16 21:54  airborne

	* examples/main.c: added proxy auth support

2005-04-16 21:53  airborne

	* configure.ac: version bumped to 1.0.0

2005-04-16 11:17  rockyb

	* include/cddb/.cvsignore: version.h is a derived file.

2005-04-16 11:15  rockyb

	* libcddb.pc.in: Another missing reference to libiconv

2005-04-16 05:31  rockyb

	* configure.ac, examples/Makefile.am: GNU/Linux includes libiconv
	  in its main libraries. Solaris (and probably many other OSes)
	  don't. Add automake check to see if libiconv is needed.

2005-04-08 03:55  rockyb

	* examples/cd_access.c: CdIo -> CdIo_t

2005-04-08 03:49  rockyb

	* include/cddb/: Makefile.am, version.h.in: Add a way to test from
	  inside an application what version of libcddb is getting used.
	  For this C Preprocessor variable LIBCDDB_VERSION_NUM was added.

	  Also added a string which applications can use to give a more
	  descriptive output of the version of libcddb in use.

2005-04-08 03:45  rockyb

	* configure.ac, include/cddb/cddb.h: Add a way to test from inside
	  an application what version of libcddb is getting used. For this
	  C Preprocessor variable LIBCDDB_VERSION_NUM was added.

	  Also added a string which applications can use to give a more
	  descriptive output of the version of libcddb in use.

2005-03-11 22:33  airborne

	* doc/doxygen.conf: auto-update for newer Doxygen version

2005-03-11 22:32  airborne

	* include/cddb/cddb_conn.h: doc update

2005-03-11 22:29  airborne

	* examples/cd_access.c, examples/do_display.c, examples/do_query.c,
	  examples/do_read.c, examples/main.c, examples/main.h,
	  include/cddb/cddb_cmd.h, include/cddb/cddb_cmd_ni.h,
	  include/cddb/cddb_config.h.in, include/cddb/cddb_conn.h,
	  include/cddb/cddb_conn_ni.h, include/cddb/cddb_disc.h,
	  include/cddb/cddb_error.h, include/cddb/cddb_log.h,
	  include/cddb/cddb_log_ni.h, include/cddb/cddb_net.h,
	  include/cddb/cddb_ni.h, include/cddb/cddb_track.h,
	  lib/cddb_cmd.c, lib/cddb_disc.c, lib/cddb_error.c,
	  lib/cddb_log.c, lib/cddb_net.c, lib/cddb_track.c,
	  lib/cddb_util.c: copyright extension into 2005

2005-03-11 22:25  airborne

	* configure.ac: version bumped to 1.0.0-cvs

2005-03-11 22:24  airborne

	* THANKS: [no log message]

2005-03-11 22:20  airborne

	* examples/main.c: shutdown library before terminating

2005-03-11 22:19  airborne

	* lib/cddb_regex.c: initialization flag moved to cddb.c,
	  re-indented the code

2005-03-11 22:17  airborne

	* lib/cddb_conn.c: regex initialization now done in library init
	  function, no automatic destruction

2005-03-11 22:14  airborne

	* lib/Makefile.am: added cddb.c

2005-03-11 22:13  airborne

	* include/cddb/cddb.h: added library init and shutdown routines

2005-03-11 22:11  airborne

	* lib/cddb.c: initial version

2005-02-04 22:10  rockyb

	* include/cddb/cddb_regex.h, lib/cddb_conn.c, lib/cddb_regex.c:
	  Plug memory leaks - wasn't freeing regex data.

2004-10-16 16:52  airborne

	* ChangeLog: added 0.9.6 changes

2004-10-16 16:51  airborne

	* NEWS: added changes between 0.9.5 and 0.9.6

2004-10-16 15:53  airborne

	* lib/cddb_util.c: conversion fails if out of memory

2004-10-16 10:09  airborne

	* lib/Makefile.am: incremented library revision number

2004-10-16 10:02  airborne

	* configure.ac: added extra substitution, used in unit tests
	  (settings.sh.in)

2004-10-16 10:00  airborne

	* tests/settings.sh.in: added iconv support

2004-10-16 10:00  airborne

	* tests/Makefile.am: added charset test script

2004-10-16 09:58  airborne

	* include/cddb/cddb_error.h, lib/cddb_error.c: moved line size
	  error back to its original location in enum (to stay backwards
	  compatible)

2004-10-16 09:56  airborne

	* tests/: testdata/12340000.ISO8859-1.txt,
	  testdata/12340000.UTF8.txt, check_charset.sh,
	  testcache/misc/12340000: initial revision

2004-10-16 08:32  airborne

	* lib/cddb_cmd.c: added character set conversion support for query
	  command

2004-10-15 21:43  airborne

	* lib/cddb_conn.c: [bugfix] make sure to alloc enough memory (thank
	  you Valgrind) [bugfix] fix memory leak (thank you Valgrind)

2004-10-15 21:42  airborne

	* include/cddb/cddb_conn_ni.h: [cosmetic] removed white space

2004-10-15 21:23  airborne

	* configure.ac: tab removal don't check for iconv_open (header file
	  should be enough)

2004-10-15 21:21  airborne

	* lib/cddb_conn.c: use new character set conversion structure

2004-10-15 21:07  airborne

	* lib/cddb_util.c: added conditional compile for character set
	  conversion

2004-10-15 21:05  airborne

	* lib/cddb_cmd.c: added character set conversion when writing CDDB
	  record [bugfix] make sure category is saved when genre is empty
	  string [bugfix] when writing prevent network access when
	  CACHE_ONLY is set

2004-10-15 21:01  airborne

	* lib/cddb_disc.c: conversion descriptor is parameter now
	  conditional compile (HAVE_ICONV_H) is no longer necessary here

2004-10-15 20:59  airborne

	* lib/cddb_track.c: conversion descriptor is parameter now
	  conditional compile (HAVE_ICONV_H) no longer necessary here

2004-10-15 20:55  airborne

	* include/cddb/cddb_ni.h: define dummy iconv_t type if no iconv.h
	  header is included

2004-10-15 20:54  airborne

	* include/cddb/cddb_conn_ni.h: iconv_t now always exists (see
	  cddb_ni.h)

2004-10-15 20:47  airborne

	* lib/cddb_regex.c: even more robust disc length parsing regex

2004-10-15 20:46  airborne

	* include/cddb/cddb_ni.h: include iconv header conversion funtions
	  now get iconv structure instead of cddb connection structure

2004-10-15 20:41  airborne

	* include/cddb/cddb_conn_ni.h: add structure for character set
	  conversion

2004-10-15 20:40  airborne

	* include/cddb/cddb_conn.h: avoid inclusion of optinal iconv.h in
	  installed header file use custom opaque structure instead

2004-10-09 08:14  airborne

	* lib/cddb_conn.c: free iconv structures

2004-10-08 23:18  airborne

	* misc/libcddb.ebuild: sync with portage tree version

2004-10-08 23:15  airborne

	* configure.ac: removed deprecated --enable-debug option, added
	  checks for iconv support, added check for realloc function,
	  updated maintainer CFLAGS (strdup caused problems with previous
	  set)

2004-10-08 23:13  airborne

	* lib/cddb_util.c: initial version

2004-10-08 23:12  airborne

	* lib/Makefile.am: added cddb_util.c file

2004-10-08 23:12  airborne

	* lib/cddb_cmd.c: convert strings to user character set after
	  parsing disc record

2004-10-08 23:09  airborne

	* lib/: cddb_disc.c, cddb_track.c: added character set conversion
	  function

2004-10-08 23:08  airborne

	* lib/cddb_conn.c: added character set conversion fields and
	  function

2004-10-08 23:05  airborne

	* examples/main.c: added option for defining character set on
	  command line

2004-10-08 23:03  airborne

	* include/cddb/cddb_ni.h: added prototypes for private character
	  set conversion functions, incremented protocol version to 6

2004-10-08 23:01  airborne

	* include/cddb/cddb_conn.h: added character set conversion fields
	  and fucntion

2004-10-08 22:59  airborne

	* include/cddb/cddb_error.h, lib/cddb_error.c: added character set
	  conversion errors

2004-10-08 21:55  airborne

	* lib/cddb_regex.c: [bugfix] FreeDB changed their spec, the string
	  " seconds" on disc length line is no longer mandatory

2004-07-24 07:41  airborne

	* configure.ac: version bumped to 0.9.6

2004-07-24 07:41  airborne

	* misc/libcddb.ebuild: updated libcdio requirement

2004-07-21 18:21  airborne

	* ChangeLog: added 0.9.5 changes

2004-07-21 18:19  airborne

	* NEWS: added changes between 0.9.4 and 0.9.5

2004-07-21 18:17  airborne

	* lib/cddb_net.c: updated functions to use cddb_conn_t struct as
	  parameter

2004-07-21 18:16  airborne

	* lib/cddb_error.c: updated message for CDDB_ERR_BUFFER_SIZE

2004-07-21 18:15  airborne

	* lib/cddb_conn.c: add setter for buffer size updated buffer
	  allocation

2004-07-21 18:14  airborne

	* lib/cddb_cmd.c: buffer size now field in connection context
	  updated parameters for changed API of network functions

2004-07-21 18:12  airborne

	* include/cddb/cddb_conn.h: added buffer size variable to
	  connection context updated docs

2004-07-21 18:11  airborne

	* include/cddb/cddb_net.h: most functions now receive a cddb_conn_t
	  structure

2004-07-21 18:09  airborne

	* include/cddb/cddb_ni.h: inserted constant DEFAULT_BUF_SIZE
	  (previously in cddb_cmd.h as LINE_SIZE)

2004-07-21 18:08  airborne

	* include/cddb/cddb_cmd.h: moved LINE_SIZE constant to cdb_ni.h
	  (renamed to DEFAULT_BUF_SIZE)

2004-07-21 14:33  airborne

	* TODO: removed error handling item

2004-07-21 14:33  airborne

	* THANKS: added credits for improved Mac OS X and Win32 support

2004-07-21 14:31  airborne

	* README: add testing section heading

2004-07-21 14:30  airborne

	* include/cddb/cddb_cmd.h: increased default line buffer size from
	  257 to 1024

2004-07-21 14:29  airborne

	* lib/cddb_net.c: made LINE_SIZE configurable at run-time (iso at
	  compile-time)

2004-07-21 14:22  airborne

	* lib/cddb_cmd.c: made LINE_SIZE configurable at run-time (iso at
	  compile-time) added some buffer overflow checks

2004-07-18 09:25  airborne

	* examples/main.c: tab removal

2004-07-18 09:23  airborne

	* examples/do_query.c, examples/do_read.c, examples/main.h,
	  include/cddb/cddb.h, include/cddb/cddb_cmd.h,
	  include/cddb/cddb_cmd_ni.h, include/cddb/cddb_conn.h,
	  include/cddb/cddb_conn_ni.h, include/cddb/cddb_disc.h,
	  include/cddb/cddb_error.h, include/cddb/cddb_log.h,
	  include/cddb/cddb_log_ni.h, include/cddb/cddb_ni.h,
	  include/cddb/cddb_track.h, lib/cddb_disc.c, lib/cddb_error.c,
	  lib/cddb_log.c: updated copyright

2004-07-18 09:19  airborne

	* tests/settings.sh.in: print reason of failure changed cddb_query
	  check (now only checks whether there are multiple results)

2004-07-18 09:15  airborne

	* tests/check_discid.sh: added test for new track length feature

2004-07-18 09:14  airborne

	* tests/check_cache.sh: changed non-existing disc ID (the previous
	  one now exists)

2004-07-18 09:14  airborne

	* lib/cddb_track.c: added code to set track length (with automatic
	  calculation of frame offset)

2004-07-18 09:13  airborne

	* lib/cddb_net.c: added to do comment

2004-07-18 09:12  airborne

	* lib/cddb_error.c: added line size error message

2004-07-18 09:12  airborne

	* lib/cddb_disc.c: added support for doubly linked track list

2004-07-18 09:11  airborne

	* lib/cddb_cmd.c: added buffer overflow check in query code

2004-07-18 09:09  airborne

	* include/cddb/cddb_track.h: made track list, doubly linked added
	  API functions for setting/getting track length

2004-07-18 09:08  airborne

	* include/cddb/cddb_net.h: tab removal

2004-07-18 09:07  airborne

	* include/cddb/cddb_error.h: added line size error

2004-07-18 09:07  airborne

	* include/cddb/cddb_ni.h: moved LINE_SIZE to cddb_cmd.h

2004-07-18 09:06  airborne

	* include/cddb/cddb_cmd.h: moved LINE_SIZE from cddb_ni.h

2004-07-18 09:05  airborne

	* examples/: main.c, main.h: added option to use track length iso
	  frame offset

2004-07-18 08:59  airborne

	* examples/cd_access.c: added option to use track length iso frame
	  offset

2004-07-18 08:57  airborne

	* lib/Makefile.am: added extra include directory for people
	  building outside of source dir

2004-07-18 08:55  airborne

	* examples/Makefile.am: added extra include dir for people building
	  outside of source dir

2004-07-18 08:53  airborne

	* configure.ac: removed 'cvs' suffix from next version number (to
	  be released very soon)

2004-07-07 13:52  rockyb

	* lib/cddb_net.c: Yet another change to accomodate OSX 10.2 with
	  it's weird includes. (May also be relevant for various old BSD
	  systems.)

2004-07-07 12:29  rockyb

	* configure.ac, include/cddb/cddb_config.h.in,
	  include/cddb/cddb_net.h, lib/cddb_net.c, lib/cddb_track.c:
	  Changes to make includes work out on OS X 10.2.  OSX 10.2 headers
	  don't include all system headers that a system header needs and
	  expects it to be done by the outside included file.

2004-07-06 11:50  rockyb

	* include/cddb/cddb_net.h: Yet another artifact from broken OSX
	  10.2 includes.

2004-07-06 10:32  rockyb

	* configure.ac, lib/cddb_net.c: Test for time.h and sys/time.h. OSX
	  seems to have some weirdness in the way time.h needs to be
	  included.

2004-04-23 04:17  rockyb

	* include/cddb/: Makefile.am, cddb.h, cddb_conn.h: Wasn't
	  installing cddb_config.h cddb_conn.h needs unconditional #include
	  <netinet/in.h>

2004-04-04 04:13  rockyb

	* .cvsignore: stamp-h1 is now showing up.

2004-04-04 04:13  rockyb

	* include/cddb/.cvsignore: cddb_config.h is derived from
	  cddb_config.h.in.

2004-04-04 04:11  rockyb

	* configure.ac, include/cddb/cddb_config.h.in,
	  include/cddb/cddb_regex.h: Start public config settings.
	  (Initial) motivation

	  OSX needs #include <unistd.h> before #include <regex.h> This is
	  perhaps a clean way to do this.

2004-03-10 04:17  rockyb

	* examples/do_display.c: Add string.h for strlen.

2004-03-10 04:08  rockyb

	* configure.ac, include/cddb/cddb_conn.h, include/cddb/cddb_net.h,
	  include/cddb/cddb_regex.h, lib/cddb_cmd.c, lib/cddb_conn.c,
	  lib/cddb_regex.c: Closer to having -mno-cygwin work. Also more
	  portable for wierdo non-POSIX compliant OS's.

2004-03-09 13:43  rockyb

	* lib/cddb_conn.c: Test for presence of various headers. Closer to
	  working on cygwin with -mno-cygwin

2004-03-09 13:42  rockyb

	* configure.ac: Add check for errno.h

2004-03-09 02:28  rockyb

	* examples/main.c: Add -i <device> option. If libcdio isn't around
	  don't suggest that a a device can be given.

2004-03-09 02:26  rockyb

	* examples/cd_access.c: Parameter was omitted in error message.

2004-03-08 13:54  rockyb

	* examples/cd_access.c: Update URL. libcdio has moved from non-GNU
	  to GNU.

2004-03-08 02:30  rockyb

	* configure.ac, examples/Makefile.am: *: Use pkgconfig to get
	  libcdio properties. (We now require 0.67). In particular we need
	  CFLAGS and LD_FLAGS.

	  configure.ac: Bump CVS number to 0.65cvs so people do not confuse
	  with 0.64.

2004-03-03 13:39  rockyb

	* lib/.cvsignore: more CVS lint.

2004-03-03 13:38  rockyb

	* tests/.cvsignore: settings.sh is derived.

2004-03-03 13:35  rockyb

	* tests/check_server.sh: On some shells and "test" (like on
	  Solaris) don't like	test -z $foo gives a required argument
	  missing.

	    test -z "$foo"

	  works though.

2004-03-03 13:31  rockyb

	* .cvsignore: libcddb.pc is a derived file.

2004-03-03 13:30  rockyb

	* examples/do_display.c: Remove implicit definition of strlen
	  warning.

2004-03-02 01:36  rockyb

	* configure.ac: automake wants AM_CONFIG_HEADER rather than
	  AC_CONFIG_HEADERS.  We can work with autoconf as far back as
	  2.55.

2004-03-02 01:32  rockyb

	* lib/cddb_net.c: Remove compiler warning of memset implicit
	  declaration. Use HAVE_...H defines in the config.h.

2003-06-12 19:59  airborne

	* tests/testdata/: 56c2171b89496518.txt, b2bba00e1890d659.txt:
	  updated test result data with new FreeDB server results

2003-05-31 15:44  airborne

	* TODO: removed pkg-config entry

2003-05-31 15:40  airborne

	* ChangeLog: added more 0.9.4 changes

2003-05-31 15:40  airborne

	* lib/Makefile.am: update library version info to 1:0:1

2003-05-31 15:32  airborne

	* ChangeLog: added 0.9.4 changes

2003-05-31 15:31  airborne

	* NEWS: added some more changes between 0.9.3 and 0.9.4

2003-05-31 15:29  airborne

	* lib/cddb_log.c: [impl] reset log handler if NULL handler is
	  provided

2003-05-31 15:26  airborne

	* include/cddb/: Makefile.am, cddb_ni.h: moved non-public part of
	  cddb_log.h to cddb_log_ni.h

2003-05-31 15:26  airborne

	* include/cddb/cddb_log.h: added API doc, moved none public
	  functions to cddb_log_ni.h

2003-05-31 15:25  airborne

	* include/cddb/cddb_log_ni.h: Initial revision

2003-05-29 13:49  airborne

	* examples/Makefile.am: install cddb_query

2003-05-29 13:47  airborne

	* misc/libcddb.ebuild: added libcdio dependency, fixed ChangeLog
	  file name

2003-05-29 13:46  airborne

	* Makefile.am, configure.ac: added pkg-config rules

2003-05-29 13:44  airborne

	* libcddb.pc.in: Initial revision

2003-05-29 12:34  airborne

	* NEWS: added changes between 0.9.3 and 0.9.4

2003-05-29 12:14  airborne

	* lib/cddb_conn.c: only expand ~ if $HOME is set

2003-05-26 20:47  airborne

	* configure.ac: marked --enable-debug as deprecated

2003-05-25 20:34  airborne

	* tests/check_server.sh: fixed skipping for proxy read test

2003-05-25 20:33  airborne

	* TODO: removed extended data item

2003-05-25 20:31  airborne

	* lib/cddb_cmd.c: [impl] added play order parsing state, cleaned up
	  end parsing detection

2003-05-25 16:25  airborne

	* lib/cddb_net.c: removed a debug log line (too many lines being
	  logged)

2003-05-25 16:24  airborne

	* examples/do_display.c: only display extended track data if there
	  is any

2003-05-25 16:23  airborne

	* tests/testdata/: 920ef00b.txt, 920ef00c.txt: updated test data
	  after implementing extended data functionality

2003-05-25 15:14  airborne

	* tests/: check_cache.sh, check_discid.sh, check_parse.sh,
	  check_server.sh, settings.sh.in: added support to skip certain
	  tests

2003-05-23 23:33  airborne

	* lib/cddb_cmd.c: [impl] added support for submitting extended disc
	  and track data

2003-05-23 23:24  airborne

	* tests/Makefile.am: added OVEVIEW.txt to distribution

2003-05-23 23:22  airborne

	* tests/: OVERVIEW.txt, testcache/misc/12345674,
	  testcache/misc/12345675, testcache/misc/12345676,
	  testcache/misc/12345677, testdata/12345674.txt,
	  testdata/12345675.txt, testdata/12345676.txt,
	  testdata/12345677.txt: Initial revision

2003-05-23 23:19  airborne

	* tests/: testcache/misc/12345678, testdata/12345678.txt: added
	  extended track data tests and some extra track tests

2003-05-23 23:18  airborne

	* tests/check_parse.sh: more parsing tests

2003-05-23 23:17  airborne

	* lib/cddb_cmd.c: [impl] if DTITLE does not contain both artist and
	  title, assume they are equal

2003-05-23 23:15  airborne

	* lib/cddb_cmd.c: [iface] added support to parse extended data

2003-05-23 23:12  airborne

	* examples/do_display.c: also display extended disc and track data
	  if present

2003-05-23 23:11  airborne

	* include/cddb/cddb_regex.h, lib/cddb_regex.c: added extended data
	  and play order regular expressions

2003-05-23 23:10  airborne

	* include/cddb/cddb_disc.h, include/cddb/cddb_track.h,
	  lib/cddb_disc.c, lib/cddb_track.c: [iface] added extended data
	  setters and getters

2003-05-23 22:40  airborne

	* THANKS: added Götz Wasch for his Mandrake RPMs

2003-05-20 23:42  airborne

	* configure.ac, lib/cddb_log.c: added support to specify default
	  log level as configure argument

2003-05-20 22:53  airborne

	* lib/cddb_cmd.c: [impl] switched to new logging framework,
	  re-indented switch blocks

2003-05-20 22:47  airborne

	* lib/cddb_net.c: updated some debug logging statements

2003-05-20 22:45  airborne

	* lib/cddb_conn.c: [impl] switched to new logging framework,
	  re-indented switch blocks

2003-05-20 22:43  airborne

	* lib/: cddb_disc.c, cddb_net.c, cddb_track.c: [impl] switched to
	  new logging framework

2003-05-20 22:42  airborne

	* include/cddb/cddb_conn_ni.h: added functions for setting/logging
	  libcddb errors

2003-05-20 22:41  airborne

	* include/cddb/cddb_ni.h: removed obsoleted debug.h from includes

2003-05-20 22:40  airborne

	* include/cddb/cddb.h: added logging framework include file

2003-05-20 22:39  airborne

	* include/cddb/Makefile.am, lib/Makefile.am: added files for
	  logging framework

2003-05-20 22:38  airborne

	* examples/main.c: added logging support

2003-05-20 22:37  airborne

	* include/cddb/cddb_log.h, lib/cddb_log.c: Initial revision

2003-05-20 22:28  airborne

	* tests/testdata/56c2171b89496518.txt: more entries added to
	  multiple result query test

2003-05-20 22:27  airborne

	* include/cddb/debug.h: dlog has been replaced by actual logging
	  framework

2003-05-13 22:46  airborne

	* TODO: removed network time-out action point

2003-05-13 22:43  airborne

	* configure.ac: added some checks suggested by autoscan (after
	  adding network timeout code)

2003-05-13 22:29  airborne

	* lib/cddb_cmd.c: [impl] added timeouts to network I/O

2003-05-13 22:27  airborne

	* include/cddb/cddb_net.h, lib/cddb_net.c: [impl] added timeout
	  support to network read/write functions

2003-05-12 21:17  airborne

	* lib/cddb_net.c: [impl] added BeOS specific code to
	  timeout_connect (hope this works)

2003-05-12 20:48  airborne

	* include/cddb/: cddb_conn.h, cddb_ni.h: [iface] added time-out
	  support

2003-05-12 20:47  airborne

	* lib/cddb_net.c, include/cddb/cddb_net.h: added connect and
	  gethostbyname functions supporting time-out (thanks Google)

2003-05-12 20:46  airborne

	* lib/cddb_conn.c: [impl] added DNS query and connect time-out
	  support

2003-05-09 20:17  airborne

	* examples/: do_query.c, main.c, main.h: be quiet in query mode if
	  required

2003-05-09 20:09  airborne

	* tests/check_cache.sh: report failure if cp fails

2003-05-08 22:40  airborne

	* tests/check_cache.sh: added tests to check changing of cache dir

2003-05-08 22:37  airborne

	* lib/cddb_conn.c: removed some debug output

2003-05-08 22:29  airborne

	* TODO: removed some obsoleted entries

2003-05-08 22:28  airborne

	* configure.ac: version bump to 0.9.4

2003-05-08 22:27  airborne

	* include/cddb/cddb_conn.h, lib/cddb_conn.c: [impl] added ~
	  expansion support in setting of cache dir

2003-05-08 21:43  airborne

	* tests/settings.sh.in: remove test result file when finished

2003-05-08 21:40  airborne

	* tests/: check_cache.sh, check_discid.sh, check_parse.sh,
	  check_server.sh, settings.sh.in: report failures correctly

2003-05-08 20:09  airborne

	* lib/cddb_cmd.c: alternate length calculation, snprintf does not
	  return required length on Solaris

2003-05-08 19:39  airborne

	* tests/: check_cache.sh, check_discid.sh, check_parse.sh,
	  check_server.sh: make sure sourced file is found on Solaris

2003-05-08 19:27  airborne

	* configure.ac: fix for Solaris compilation (thx to Rocky
	  Bernstein)

2003-05-07 21:02  airborne

	* ChangeLog: added 0.9.3 changes

2003-05-07 21:01  airborne

	* NEWS: added changes between 0.9.2 and 0.9.3

2003-05-07 20:46  airborne

	* include/cddb/cddb_disc.h: added doc for individual CDDB
	  categories

2003-05-06 22:34  airborne

	* lib/cddb_cmd.c: [impl] recalculate disc ID before querying

2003-05-06 19:51  airborne

	* misc/libcddb.ebuild: updated to reflect official Gentoo file

2003-05-04 19:38  airborne

	* examples/do_read.c, include/cddb/cddb_disc.h, lib/cddb_cmd.c,
	  lib/cddb_disc.c: [iface] changed name of cddb_disc_set_category
	  into cddb_disc_set_category_str for consistency

2003-05-04 19:37  airborne

	* include/cddb/cddb_track.h: changed var name

2003-05-04 11:29  airborne

	* lib/: cddb_disc.c, cddb_track.c: use macro to conver frames to
	  seconds

2003-05-04 11:28  airborne

	* include/cddb/cddb_disc.h: added SECONDS_TO_FRAMES macro, add
	  setter for disc year

2003-05-04 11:27  airborne

	* examples/cd_access.c: use SECONDS_TO_FRAMES macro

2003-05-02 20:12  airborne

	* include/cddb/cddb_track.h: added setter for track length

2003-05-01 17:42  airborne

	* lib/cddb_cmd.c: [impl] do not allow submit with default e-mail
	  address

2003-05-01 17:41  airborne

	* include/cddb/cddb_error.h, lib/cddb_error.c: added error code/msg
	  for invalid e-mail address

2003-05-01 17:24  airborne

	* lib/cddb_conn.c: do not use $USER and $HOSTNAME by default, use
	  anonymous@localhost instead

2003-05-01 16:50  airborne

	* doc/.cvsignore: added doxygen tag file

2003-05-01 16:48  airborne

	* include/cddb/cddb_conn.h: added some getters/setters, updated
	  docs

2003-05-01 16:48  airborne

	* TODO: removed client name and version customization

2003-05-01 11:50  airborne

	* lib/: cddb_cmd.c, cddb_conn.c: added client program modification
	  code

2003-05-01 11:49  airborne

	* include/cddb/cddb_conn.h: updated docs, added some
	  getters/setters, add client program modification code

2003-05-01 10:14  airborne

	* Makefile.am: made make distcheck work

2003-05-01 10:13  airborne

	* tests/check_cache.sh: remove temp cache dir when done

2003-05-01 10:12  airborne

	* include/cddb/cddb.h: moved some doc from doxygen to webpage

2003-05-01 09:21  airborne

	* TODO: add lscat command

2003-04-30 21:16  airborne

	* doc/doxygen.conf: generate tag file (will be used in website
	  generation)

2003-04-30 20:55  airborne

	* configure.ac, lib/cddb_conn.c: first try on Cygwin port

2003-04-30 20:16  airborne

	* configure.ac: removed misc/Makefile

2003-04-30 20:04  airborne

	* configure.ac: version bump to 0.9.3

2003-04-30 20:02  airborne

	* TODO: added one entry

2003-04-30 20:02  airborne

	* THANKS: add Manfred and his Suse RPMs

2003-04-27 10:45  airborne

	* include/cddb/: cddb_disc.h, cddb_track.h: fixed doxygen docs

2003-04-27 10:44  airborne

	* doc/doxygen.conf: added example path

2003-04-27 10:43  airborne

	* misc/libcddb.ebuild: fixed doxygen doc generation code

2003-04-25 19:56  airborne

	* tests/check_cache.sh: added tests for cache reads

2003-04-25 19:56  airborne

	* tests/settings.sh.in: added check_not_found function, rearranged
	  some other stuff

2003-04-25 19:55  airborne

	* examples/: do_read.c, main.c, main.h: do not print error messages
	  when running in quiet mode

2003-04-25 19:53  airborne

	* tests/testdata/920ef00c.txt: Initial revision

2003-04-24 22:04  airborne

	* ChangeLog: added 0.9.2 changes

2003-04-24 22:02  airborne

	* NEWS: added changes between 0.9.1 and 0.9.2

2003-04-24 21:38  airborne

	* README: added some comments about the network regression tests

2003-04-24 21:23  airborne

	* tests/Makefile.am: add more testdata to dist hook

2003-04-24 21:18  airborne

	* tests/check_server.sh: added code to test the read and query
	  commands

2003-04-24 21:18  airborne

	* tests/settings.sh.in: added query check function

2003-04-24 21:16  airborne

	* tests/testdata/b2bba00e1890d659.txt: Initial version

2003-04-24 21:05  airborne

	* tests/testdata/56c2171b89496518.txt: Initial version

2003-04-24 20:47  airborne

	* examples/main.c: added proxy support

2003-04-24 20:46  airborne

	* tests/testdata/920ef00b.txt: Initial version

2003-04-22 20:16  airborne

	* .cvsignore, include/.cvsignore, include/cddb/.cvsignore,
	  lib/.cvsignore, tests/.cvsignore, examples/.cvsignore: added some
	  files for people building (configure,make) in main CVS tree

2003-04-22 20:14  airborne

	* lib/cddb_cmd.c: moved buffer freeing to right after when it is no
	  longer needed

2003-04-22 20:07  airborne

	* TODO: added pkg-config entry

2003-04-21 19:17  airborne

	* examples/cd_access.c, examples/main.c, examples/main.h,
	  lib/cddb_cmd.c: [bugfix] fixed memory leaks reported by valgrind

2003-04-21 14:08  airborne

	* tests/Makefile.am: added cache and server test scripts

2003-04-21 14:07  airborne

	* tests/: check_server.sh, check_cache.sh: Initial revision

2003-04-21 14:06  airborne

	* Makefile.am: make sure example gets build before executing any
	  tests

2003-04-21 13:22  airborne

	* tests/Makefile.am: make sure test data makes it into distribution
	  archive

2003-04-21 13:09  airborne

	* configure.ac: version bump to 0.9.2

2003-04-21 13:08  airborne

	* tests/: testcache/misc/12345678, testcache/misc/12345679,
	  testcache/misc/1234567a, testcache/misc/1234567b,
	  testcache/misc/1234567c, testcache/misc/1234567d,
	  testcache/misc/1234567e, testcache/misc/1234567f,
	  testcache/misc/12345680, testcache/misc/12345681,
	  testcache/misc/12345682, testcache/misc/12345683,
	  testdata/12345678.txt, testdata/12345679.txt,
	  testdata/1234567a.txt, testdata/1234567b.txt,
	  testdata/1234567c.txt, testdata/1234567d.txt,
	  testdata/1234567e.txt, testdata/1234567f.txt,
	  testdata/12345680.txt, testdata/12345681.txt,
	  testdata/12345682.txt, testdata/12345683.txt: Initial revision

2003-04-21 13:04  airborne

	* tests/check_parse.sh: added some disc title and artist parsing
	  tests

2003-04-21 12:21  airborne

	* tests/settings.sh.in: added function to verify CDDB read data

2003-04-21 12:20  airborne

	* tests/Makefile.am: added parsing test

2003-04-21 12:20  airborne

	* tests/check_parse.sh: Initial revision

2003-04-21 12:19  airborne

	* examples/: cd_access.c, do_query.c, main.h: return error codes
	  when exiting

2003-04-21 12:19  airborne

	* examples/main.c: return error codes when exiting + bugfix in
	  cache dir command-line argument parsing

2003-04-21 11:07  airborne

	* lib/cddb_cmd.c: [bugfix] fixed state machine when parsing reaches
	  end of stream

2003-04-21 10:46  airborne

	* lib/cddb_cmd.c: [bugfix] multi-line parsing now append track
	  title to track instead of disc

2003-04-21 08:59  airborne

	* ChangeLog: added 0.9.1 changes

2003-04-21 08:59  airborne

	* NEWS: added changes between 0.9.0 and 0.9.1

2003-04-21 00:23  airborne

	* tests/check_discid.sh: fixed spelling typo

2003-04-21 00:22  airborne

	* tests/: check_discid.sh, settings.sh.in: Initial revision

2003-04-21 00:21  airborne

	* tests/Makefile.am: switched tests from native code to shell
	  scripts

2003-04-21 00:20  airborne

	* examples/main.c: added -q option to suppress error messages

2003-04-21 00:19  airborne

	* configure.ac: remove dependency on check library, added
	  settings.sh to output files

2003-04-21 00:17  airborne

	* tests/: base.c, base.h, check_discid.c: tests now performed with
	  shell script and example program

2003-04-20 21:30  airborne

	* .cvsignore: added configure.scan

2003-04-20 21:28  airborne

	* configure.ac: added -O0 compiler flag in maintainer-mode because
	  -Wpointer-arith and -O generates too many warnings (compiler/libc
	  problem (not libcddb code))

2003-04-20 21:25  airborne

	* lib/cddb_conn.c: [impl] changed deprecated bzero into memset

2003-04-20 20:55  airborne

	* configure.ac: added some stuff as suggested by autoscan

2003-04-20 20:54  airborne

	* examples/main.c: added some more usage info

2003-04-20 19:37  airborne

	* examples/main.c: added read support for CD data read from CD-ROM
	  drive

2003-04-20 19:24  airborne

	* examples/do_query.c: fixed match counter, moved disc ID to this
	  function

2003-04-20 19:12  airborne

	* examples/cd_access.c: moved disc creation code to separate
	  function

2003-04-20 19:02  airborne

	* examples/do_query.c: added code to retrieve and print query
	  results

2003-04-20 19:01  airborne

	* TODO: added one entry

2003-04-20 17:04  airborne

	* examples/do_query.c: Initial revision

2003-04-20 16:44  airborne

	* include/cddb/cddb_cmd.h: fixed doc comment

2003-04-20 16:43  airborne

	* examples/cd_access.c: added initial version of cd_create()

2003-04-20 16:41  airborne

	* examples/main.c: added query support and extra command-line
	  parameters

2003-04-20 16:40  airborne

	* examples/main.h: added do_query() and cd_create()

2003-04-20 16:40  airborne

	* examples/Makefile.am: added do_query.c

2003-04-20 16:36  airborne

	* TODO: added one entry

2003-04-20 16:31  airborne

	* examples/cd_access.c: Initial revision

2003-04-18 00:19  airborne

	* examples/: main.c, main.h: [impl] added support for reading CD
	  info from CD-ROM and calculating disc IDs

2003-04-18 00:18  airborne

	* include/cddb/cddb_ni.h: [iface] FRAMES_PER_SECOND now externally
	  visible in cddb_disc.h

2003-04-18 00:16  airborne

	* include/cddb/: cddb_disc.h, cddb_track.h: [iface] added some
	  getters and setters, updated docs

2003-04-18 00:14  airborne

	* misc/libcddb.ebuild: install Changelog in doc directory

2003-04-18 00:13  airborne

	* examples/Makefile.am: add new cd_access.c source file

2003-04-18 00:12  airborne

	* configure.ac: added check for libcdio, used by example program if
	  present

2003-04-17 19:54  airborne

	* misc/: libcddb-0.9.0.ebuild, libcddb.ebuild: renamed ebuild to
	  have no version info in the file name

2003-04-17 19:53  airborne

	* Makefile.am: package Gentoo ebuild file in distribution archive

2003-04-17 19:36  airborne

	* configure.ac: version bump to 0.9.1

2003-04-17 19:35  airborne

	* include/cddb/cddb_ni.h: [bugfix] FREE_NOT_NULL macro now resets
	  ptr to NULL after freeing it

2003-04-17 19:33  airborne

	* lib/cddb_cmd.c: [bugfix] clear title and artist name before
	  setting new data (avoids appending to old strings)

2003-04-17 19:28  airborne

	* lib/cddb_disc.c, lib/cddb_track.c, include/cddb/cddb_disc.h,
	  include/cddb/cddb_track.h: [impl] deleting artist name and title
	  possible by setting it to NULL

2003-04-16 23:01  airborne

	* misc/libcddb-0.9.0.ebuild: Initial revision

2003-04-16 21:38  airborne

	* NEWS: initial text inserted, includes changes between 0.1.6 and
	  0.9.0

2003-04-16 21:37  airborne

	* TODO: added several entries

2003-04-16 20:40  airborne

	* TODO, doc/doxygen.conf: added CVS Id tag

2003-04-16 20:39  airborne

	* README: added doc instructions and contact info

2003-04-16 20:23  airborne

	* README: [no log message]

2003-04-16 20:19  airborne

	* TODO: [no log message]

2003-04-16 20:14  airborne

	* ChangeLog: added 0.9.0 changes

2003-04-16 19:40  airborne

	* configure.ac: version bump to 0.9.0

2003-04-16 08:20  airborne

	* lib/cddb_cmd.c: seperate function to create cache file name,
	  remove invalid cache entries

2003-04-15 00:28  airborne

	* COPYING: license is LGPL iso GPL

2003-04-15 00:25  airborne

	* examples/do_display.c, examples/do_read.c, examples/main.c,
	  include/cddb/cddb.h, include/cddb/cddb_cmd.h,
	  include/cddb/cddb_cmd_ni.h, include/cddb/cddb_conn.h,
	  include/cddb/cddb_conn_ni.h, include/cddb/cddb_disc.h,
	  include/cddb/cddb_error.h, include/cddb/cddb_net.h,
	  include/cddb/cddb_ni.h, include/cddb/cddb_regex.h,
	  include/cddb/cddb_track.h, include/cddb/debug.h, lib/cddb_cmd.c,
	  lib/cddb_conn.c, lib/cddb_disc.c, lib/cddb_error.c,
	  lib/cddb_net.c, lib/cddb_regex.c, lib/cddb_track.c: wrong license
	  header, now LGPL iso GPL

2003-04-14 23:27  airborne

	* examples/do_read.c, examples/main.h, include/cddb/cddb.h,
	  include/cddb/cddb_cmd.h, include/cddb/cddb_cmd_ni.h,
	  include/cddb/cddb_conn.h, include/cddb/cddb_conn_ni.h,
	  include/cddb/cddb_disc.h, include/cddb/cddb_error.h,
	  include/cddb/cddb_net.h, include/cddb/cddb_ni.h,
	  include/cddb/cddb_regex.h, include/cddb/cddb_track.h,
	  include/cddb/debug.h, lib/cddb_cmd.c, lib/cddb_conn.c,
	  lib/cddb_disc.c, lib/cddb_error.c, lib/cddb_net.c,
	  lib/cddb_regex.c, lib/cddb_track.c, tests/base.c, tests/base.h,
	  tests/check_discid.c: added copyright header

2003-04-14 23:10  airborne

	* include/cddb/cddb_conn.h, lib/cddb_cmd.c, lib/cddb_conn.c:
	  updated local cache semantics, cache can now be turned on and
	  off, but can also be set to cache only, i.e. no network access
	  allowed

2003-04-14 23:06  airborne

	* examples/main.c: added cache only option

2003-04-14 22:44  airborne

	* examples/do_read.c: moved main code to main.c

2003-04-14 22:43  airborne

	* examples/Makefile.am: name change of executable, extra files

2003-04-14 22:41  airborne

	* examples/: do_display.c, main.c, main.h: Initial revision

2003-04-14 22:06  airborne

	* include/cddb/cddb_conn.h, lib/cddb_conn.c: updated functions to
	  (dis/en)able HTTP and proxy connections

2003-04-13 11:27  airborne

	* tests/Makefile.am: added header file dependency

2003-04-13 11:16  airborne

	* tests/: Makefile.am, base.c, base.h, check_discid.c: Initial
	  revision

2003-04-13 11:12  airborne

	* .cvsignore: added autom4te.cache and depcomp

2003-04-13 11:10  airborne

	* tests/.cvsignore, examples/.cvsignore: Initial revision

2003-04-13 11:09  airborne

	* acconfig.h: this file is now automatically created by
	  configure.in

2003-04-13 11:08  airborne

	* configure.ac: renamed from configure.in, added warning flags,
	  updated to run with new autoconf tools

2003-04-13 11:06  airborne

	* configure.in: configure.in is now called configure.ac

2003-04-13 11:03  airborne

	* bootstrap: use autoconf 2.5x

2003-04-13 11:02  airborne

	* TODO: [no log message]

2003-04-13 11:01  airborne

	* Makefile.am: added tests directory, moved examples from src to
	  examples

2003-04-13 10:58  airborne

	* src/: main.c, .cvsignore, Makefile.am: Examples are now in the
	  examples directory.

2003-04-13 10:56  airborne

	* examples/: Makefile.am, do_read.c: Initial revision

2003-04-13 10:54  airborne

	* lib/Makefile.am: remove warning flags, they are in configure.in
	  now

2003-04-13 10:54  airborne

	* lib/cddb_disc.c: added some getters and setters

2003-04-13 10:53  airborne

	* lib/cddb_track.c: added routine to calculate track length

2003-04-13 10:52  airborne

	* lib/cddb_cmd.c: remove non standard keyword 'inline'

2003-04-13 10:49  airborne

	* include/cddb/cddb_ni.h: fixed line length (256 chars +
	  terminating 0)

2003-04-13 10:49  airborne

	* include/cddb/: cddb_disc.h, cddb_track.h: added some getters and
	  setters, updated some docs

2003-04-13 00:15  airborne

	* THANKS: [no log message]

2003-04-12 19:52  airborne

	* include/cddb/cddb_conn.h: use integers instead of internally
	  defined constants

2003-04-12 18:56  airborne

	* lib/cddb_cmd.c: fixed problem with cache being used while trying
	  to read from network

2003-04-12 18:55  airborne

	* include/cddb/cddb_conn.h, lib/cddb_conn.c: added some setters,
	  added cache read flag

2003-04-11 22:29  airborne

	* lib/Makefile.am, src/Makefile.am: more compiler options to
	  improve code sanity

2003-04-11 22:27  airborne

	* lib/cddb_regex.c:  implementation of cddb_regex_get_int

2003-04-11 22:26  airborne

	* include/cddb/cddb_regex.h, lib/cddb_cmd.c: fix some compiler
	  warnings

2003-04-11 22:24  airborne

	* THANKS: [no log message]

2003-03-04 20:59  airborne

	* lib/cddb_cmd.c: do not use socket as file descriptor (BeOS)

2003-03-04 20:54  airborne

	* lib/cddb_net.c: minor debug logging updates

2003-03-04 20:54  airborne

	* lib/cddb_conn.c: do not use socket as file descriptor (BeOS)

2003-03-04 20:53  airborne

	* lib/Makefile.am, src/Makefile.am: treat compiler warnings as
	  errors

2003-03-04 20:51  airborne

	* include/cddb/cddb_conn_ni.h: added getter for file descriptor of
	  cached entry

2003-03-04 20:51  airborne

	* include/cddb/: cddb_conn.h, cddb_ni.h: do not use socket as file
	  descriptor (BeOS)

2003-03-04 20:07  airborne

	* Makefile.am: added doxygen.conf file to distribution

2003-02-04 22:20  airborne

	* configure.in: version bump to 0.1.8

2003-02-04 22:18  airborne

	* acconfig.h, configure.in: added BeOS detection

2003-02-04 22:15  airborne

	* lib/Makefile.am, include/cddb/Makefile.am: added networking
	  source files

2003-02-03 22:11  airborne

	* lib/cddb_net.c, include/cddb/cddb_net.h: Initial revision

2003-02-03 20:19  airborne

	* include/cddb/cddb_cmd_ni.h, lib/cddb_cmd.c, lib/cddb_conn.c:
	  fixed some non-constant const pointers

2003-01-27 22:54  airborne

	* THANKS: [no log message]

2003-01-27 22:48  airborne

	* TODO: added BeOS patch

2003-01-27 22:46  airborne

	* THANKS: Initial revision

2003-01-27 22:35  airborne

	* configure.in: version bump to 0.1.7

2003-01-27 22:34  airborne

	* lib/cddb_regex.c, include/cddb/cddb_regex.h: removed const
	  modifiers to avoid compiler warnings

2003-01-27 22:31  airborne

	* lib/cddb_cmd.c: added multi-line support (based on patch by David
	  Mitchell)

2003-01-27 22:19  airborne

	* lib/cddb_regex.c: updated DTITLE regex for mutli-line support

2003-01-27 22:15  airborne

	* include/cddb/cddb_disc.h, include/cddb/cddb_track.h,
	  lib/cddb_disc.c, lib/cddb_track.c: support for incremental
	  creation of disc/track artist names and titles (thx David
	  Mitchell)

2003-01-27 20:07  airborne

	* include/cddb/: cddb.h, cddb_cmd.h, cddb_cmd_ni.h, cddb_conn.h,
	  cddb_conn_ni.h, cddb_disc.h, cddb_error.h, cddb_ni.h,
	  cddb_regex.h, cddb_track.h, debug.h: C++ extern declaration (thx
	  to David Mitchell and David Collett)

2002-12-18 20:25  airborne

	* include/cddb/cddb_disc.h, lib/cddb_cmd.c, lib/cddb_disc.c: added
	  support for disc year (original patch by David Mitchell)

2002-12-02 22:48  airborne

	* ChangeLog: Added 0.1.6 changes

2002-12-02 22:45  airborne

	* lib/cddb_cmd.c: added slave support to the query command

2002-12-02 22:44  airborne

	* include/cddb/cddb_cmd.h: extended doxygen doc for cddb_read

2002-12-02 22:43  airborne

	* include/cddb/cddb_disc.h: fixed typo in doc

2002-12-02 22:43  airborne

	* include/cddb/cddb.h: added doxygen project doc

2002-12-02 22:41  airborne

	* configure.in: version bump to 0.1.6

2002-11-22 20:50  airborne

	* ChangeLog: Added 0.1.5 changes

2002-11-22 20:44  airborne

	* lib/cddb_cmd.c: added support for mutiple exact matches

2002-11-18 23:22  airborne

	* configure.in: version bump to 0.1.5

2002-11-18 23:19  airborne

	* include/cddb/cddb_cmd_ni.h, include/cddb/cddb_ni.h,
	  lib/cddb_cmd.c, lib/cddb_conn.c: enable protocol version 5 in
	  CDDBP mode

2002-11-17 17:50  airborne

	* ChangeLog: Added 0.1.4 changes

2002-11-17 17:46  airborne

	* include/cddb/cddb_disc.h, lib/cddb_cmd.c, lib/cddb_conn.c,
	  lib/cddb_disc.c: improved music genre support

2002-11-17 17:45  airborne

	* src/main.c: replaces tabs with spaces

2002-11-17 17:45  airborne

	* lib/cddb_track.c: support for disc reference, added track artist
	  getter function

2002-11-17 17:35  airborne

	* include/cddb/cddb_track.h: add disc reference to track structure,
	  added track artist getter function

2002-11-17 17:33  airborne

	* configure.in: version bump to 0.1.4

2002-11-17 17:33  airborne

	* include/cddb/cddb_conn.h: added missing public prototype

2002-11-13 23:38  airborne

	* lib/cddb_conn.c: fix SIGPIPE problem when connection timed out
	  (an alternative solution is commented out)

2002-11-11 21:40  joske

	* lib/cddb_cmd.c: if artist for track not given, use the artist
	  from the disc

2002-11-10 17:35  airborne

	* ChangeLog: Added 0.1.3 changes

2002-11-10 17:32  airborne

	* TODO, lib/cddb_cmd.c: added HTTP response code parsing

2002-11-10 17:24  airborne

	* lib/cddb_cmd.c: added HTTP proxy support for entry submission

2002-11-10 17:21  airborne

	* configure.in: version bump to 0.1.3

2002-11-10 17:20  airborne

	* include/cddb/cddb_conn.h, include/cddb/cddb_ni.h, lib/cddb_cmd.c,
	  lib/cddb_conn.c, src/main.c, TODO: added HTTP proxy support

2002-11-08 18:41  airborne

	* ChangeLog: Added 0.1.2 changes

2002-11-08 18:19  airborne

	* configure.in: version bump to 0.1.2

2002-11-08 00:14  airborne

	* TODO: support for fallback in .cddbslave

2002-11-07 23:44  airborne

	* lib/cddb_cmd.c: conversion of 32 bit int sometimes failed with
	  strtol, so using strtoll now

2002-11-07 22:12  airborne

	* lib/cddb_cmd.c: close connection very time when using HTTP

2002-11-07 21:45  airborne

	* lib/cddb_cmd.c: intercept error code 530 (timeout)

2002-11-05 00:03  airborne

	* lib/cddb_cmd.c: query data parser now also extracts disc ID,
	  necessary for inexact matches

2002-11-05 00:01  airborne

	* lib/: cddb_disc.c, cddb_track.c: null pointer prevention in debug
	  print routine

2002-11-05 00:00  airborne

	* include/cddb/cddb_ni.h: added STR_OR_NULL macro

2002-11-04 22:26  airborne

	* TODO: support for enabling/disabling category dirs in cddb slave

2002-11-03 11:28  airborne

	* include/cddb/cddb_cmd.h, lib/cddb_cmd.c: let cddb_query return
	  the number of matches found

2002-11-03 11:27  airborne

	* lib/cddb_disc.c: no return value required

2002-11-02 18:23  airborne

	* ChangeLog: Added 0.1.1 changes

2002-11-02 17:49  airborne

	* include/cddb/cddb_cmd.h, include/cddb/cddb_cmd_ni.h,
	  include/cddb/cddb_conn.h, lib/cddb_cmd.c, lib/cddb_conn.c: Added
	  support for CDDB query inexact matches.

2002-11-02 17:45  airborne

	* include/cddb/cddb_disc.h, include/cddb/cddb_track.h,
	  lib/cddb_disc.c, lib/cddb_track.c: Added support for cloning and
	  copying tracks and discs

2002-11-02 14:18  airborne

	* doc/doxygen.conf: Only process installed header files.

2002-11-02 09:49  airborne

	* lib/cddb_cmd.c: Increment track number when reading frame
	  offsets.

2002-11-02 09:21  airborne

	* .cvsignore, doc/.cvsignore, include/.cvsignore,
	  include/cddb/.cvsignore, lib/.cvsignore, src/.cvsignore: Initial
	  revision

2002-11-02 09:13  airborne

	* lib/cddb_cmd.c: Added support for track number.  Fixed bug in
	  cddb_read causing it to add already existing tracks.

2002-11-02 09:12  airborne

	* lib/cddb_disc.c: Added setter methods for disc artist and title.
	  Added support for track number.

2002-11-02 09:10  airborne

	* lib/cddb_track.c: Added track number and length to track
	  structure.  Added setter methods for track artist and title.

2002-11-02 09:08  airborne

	* include/cddb/cddb_disc.h: Added setter methods for disc artist
	  and title.

2002-11-02 09:07  airborne

	* include/cddb/cddb_track.h: Added track number and length to track
	  structure.  Added setters methods for track artist and title.

2002-11-02 09:06  airborne

	* configure.in: version upgrade to 0.1.1

2002-10-28 21:14  airborne

	* AUTHORS, COPYING, ChangeLog, INSTALL, Makefile.am, NEWS, README,
	  TODO, acconfig.h, bootstrap, configure.in, doc/doxygen.conf,
	  include/Makefile.am, include/cddb/Makefile.am,
	  include/cddb/cddb.h, include/cddb/cddb_cmd.h,
	  include/cddb/cddb_cmd_ni.h, include/cddb/cddb_conn.h,
	  include/cddb/cddb_conn_ni.h, include/cddb/cddb_disc.h,
	  include/cddb/cddb_error.h, include/cddb/cddb_ni.h,
	  include/cddb/cddb_regex.h, include/cddb/cddb_track.h,
	  include/cddb/debug.h, lib/Makefile.am, lib/cddb_cmd.c,
	  lib/cddb_conn.c, lib/cddb_disc.c, lib/cddb_error.c,
	  lib/cddb_regex.c, lib/cddb_track.c, src/Makefile.am, src/main.c:
	  Initial revision

